add.css 1.6 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990
  1. header {
  2. font-family: "Roboto","Lucida Grande","DejaVu Sans","Bitstream Vera Sans",Verdana,Arial,sans-serif;
  3. font-size: 13px;
  4. color: white;
  5. height: 30px;
  6. }
  7. .header-top {
  8. color: white;
  9. }
  10. .dashboard #content {
  11. width: 100%;
  12. margin-right: 0px;
  13. margin-left: 0px;
  14. }
  15. #submit {
  16. border: 1px solid rgba(0, 0, 0, 0.2);
  17. padding: 10px;
  18. border-radius: 4px;
  19. background-color: #f5dd5d;
  20. color: #333;
  21. font-size: 18px;
  22. font-weight: 800;
  23. }
  24. #add-form button[role="submit"]:hover {
  25. background-color: #e5cd4d;
  26. }
  27. #add-form label {
  28. display: block;
  29. font-size: 16px;
  30. }
  31. #add-form textarea {
  32. width: 100%;
  33. min-height: 300px;
  34. }
  35. #delay-warning div {
  36. border: 1px solid red;
  37. border-radius: 4px;
  38. margin: 10px;
  39. padding: 10px;
  40. font-size: 15px;
  41. background-color: #f5dd5d;
  42. }
  43. #stdout {
  44. background-color: #ded;
  45. padding: 10px 10px;
  46. border-radius: 4px;
  47. white-space: normal;
  48. }
  49. ul#id_depth {
  50. list-style-type: none;
  51. padding: 0;
  52. }
  53. @keyframes spin {
  54. 0% {
  55. transform: rotate(0deg);
  56. }
  57. 100% {
  58. transform: rotate(360deg);
  59. }
  60. }
  61. .loader {
  62. border: 16px solid #f3f3f3; /* Light grey */
  63. border-top: 16px solid #3498db; /* Blue */
  64. border-radius: 50%;
  65. width: 30px;
  66. height: 30px;
  67. box-sizing: border-box;
  68. animation: spin 2s linear infinite;
  69. }
  70. textarea, select {
  71. border-radius: 4px;
  72. border: 2px solid #004882;
  73. box-shadow: 4px 4px 4px rgba(0,0,0,0.02);
  74. width: 100%;
  75. }
  76. select option:not(:checked) {
  77. border: 1px dashed rgba(10,200,20,0.12);
  78. }
  79. select option:checked {
  80. border: 1px solid green;
  81. background-color: green;
  82. color: green;
  83. }